import { createAggregatedClient } from "@smithy/smithy-client";
import { DeleteSessionCommand, } from "./commands/DeleteSessionCommand";
import { GetSessionCommand } from "./commands/GetSessionCommand";
import { PostContentCommand } from "./commands/PostContentCommand";
import { PostTextCommand } from "./commands/PostTextCommand";
import { PutSessionCommand } from "./commands/PutSessionCommand";
import { LexRuntimeServiceClient } from "./LexRuntimeServiceClient";
const commands = {
    DeleteSessionCommand,
    GetSessionCommand,
    PostContentCommand,
    PostTextCommand,
    PutSessionCommand,
};
export class LexRuntimeService extends LexRuntimeServiceClient {
}
createAggregatedClient(commands, LexRuntimeService);
