import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  LexRuntimeServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../LexRuntimeServiceClient";
import { PostTextRequest, PostTextResponse } from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface PostTextCommandInput extends PostTextRequest {}
export interface PostTextCommandOutput
  extends PostTextResponse,
    __MetadataBearer {}
declare const PostTextCommand_base: {
  new (
    input: PostTextCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    PostTextCommandInput,
    PostTextCommandOutput,
    LexRuntimeServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    input: PostTextCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    PostTextCommandInput,
    PostTextCommandOutput,
    LexRuntimeServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class PostTextCommand extends PostTextCommand_base {
  protected static __types: {
    api: {
      input: PostTextRequest;
      output: PostTextResponse;
    };
    sdk: {
      input: PostTextCommandInput;
      output: PostTextCommandOutput;
    };
  };
}
